Bug 1908697

Summary: Show `kubectl diff ` command in the oc diff help page
Product: OpenShift Container Platform Reporter: zhou ying <yinzhou>
Component: ocAssignee: Maciej Szulik <maszulik>
Status: CLOSED ERRATA QA Contact: zhou ying <yinzhou>
Severity: low Docs Contact:
Priority: low    
Version: 4.7CC: aos-bugs, jokerman, mfojtik
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:46:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description zhou ying 2020-12-17 11:24:19 UTC
Description of problem:
Show improper information `kubectl diff` in the oc diff help page.

Version-Release number of selected component (if applicable):
[root@dhcp-140-138 ~]# oc version 
Client Version: 4.7.0-202012170204.p0-38273af

How reproducible:
always

Steps to Reproduce:
1.Use the `oc diff -h ` command.

Actual results:
1. Show the `kubectl diff` in the example.
Examples:
  # Diff resources included in pod.json.
  kubectl diff -f pod.json
  
  # Diff file read from stdin
  cat service.yaml | kubectl diff -f -


Expected results:
1. Use the `oc diff` command as example.

Additional info:

Comment 2 zhou ying 2021-01-11 06:59:12 UTC
The issue has fixed :
[root@dhcp-140-138 verification-tests]# oc diff -h
Diff configurations specified by filename or stdin between the current online configuration, and the configuration as it
would be if applied.

...

Usage:
  oc diff -f FILENAME [flags]

Examples:
  # Diff resources included in pod.json.
  oc diff -f pod.json
  
  # Diff file read from stdin
  cat service.yaml | oc diff -f -

[root@dhcp-140-138 verification-tests]#  oc version  --client
Client Version: 4.7.0-202101092121.p0-eeb9d6d

Comment 5 errata-xmlrpc 2021-02-24 15:46:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633